# ./anwendungen/logmonat.pl
%mon = (Jan=>0,  Feb=>1,  Mar=>2,  Apr=>3,  May=>4,  Jun=>5,
        Jul=>6,  Aug=>7,  Sep=>8,  Oct=>9,  Nov=>10, Dec=>11);
$file = '/apache/logs/access.log';
open DATA, "<$file";

while ($log = <DATA>) {
  ($x, $x, $x, $datime, $x, $x, $bytes) = 
                                $log =~/\".+?\"|\[.+?\]|[^ ]+?\s/g;
  if ($bytes != 0) {
    $dt = &getmon($datime);
    $anzahl{$dt}++ ;
  }
}
foreach $monat ( sort keys %anzahl) {
  $y = " " x 10 . $anzahl{$host};
  print "$monat   ", 
        substr(" " x 10 . $anzahl{$monat}, -6, 6), "\n";
  last if ++$k >= 50;
}

sub getmon {
  my $dt = &trans(shift @_);
  $dt =~ s/(.+? .+?) .*/\1/;
  return $dt ;
}
sub trans {
  my $dt = shift @_;
  $dt =~ 
  s/.(.+?)\/(.+?)\/(.+?):(.+?):(.+?):(.+?) .*/\3 \2 \1 \4 \5 \6/;
  $dt =~ s/([a-zA-Z]{3})/$mon{$1}+1/e;
  $dt =~ s/ (. )/ 0\1/g;
  return $dt;
}